<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <title>jQuery Clone</title>
    <script src="../../static/jquery/jquery-3.4.1.js"></script>
    <link href="../../static/style/common.css" rel="stylesheet">
</head>

<body>
    <h3>Clone</h3>
    <ul id="listView">
        <li id="item" style="display: none;">
            <div data-name="msg">message</div>
        </li>
    </ul>


    <button id="btnRefresh">refresh</button>

    <div id="console" class="console"></div>

    <script>
        $(function() {
            var $console = $('#console');
            var $listView = $('#listView');
            var $item = $('#item');
            var $btnRefresh = $('#btnRefresh');
            
            var initPageView = function() {
                jQueryCloneTest();
            }

            var jQueryCloneTest = function() {
                $listView.find('[name=item]').remove();
                for (var i = 0; i < 5; i++) {
                    var $view = $item.clone();
                    $view.find('[data-name=msg]').text("#" + (i + 1));
                    $view.removeAttr('id');
                    $view.attr('name', 'item');
                    $view.show();
                    $view.appendTo($listView);
                }
            }

            $btnRefresh.off('click').on('click', function() {
                $listView.find('[name=item]').remove();
                var $view = $item.clone();
                $view.find('[data-name=msg]').text("refresh success.");
                $view.show();
                $view.appendTo($listView);
            });

            initPageView();
        });

    </script>
</body>

</html>
